package cokr.xit.ens.biz.iup._legacy;

import java.util.List;
import java.util.Map;

public class DoznVO
{

	private String billerUserKey;
	private String billedYearMonth;
	private String ordinal;
	private String billerNoticeKey;
	private Map<String, Object> parameters;
	private String userBirth;


	private Integer tbSeq;
	private String settlementCode;
	private String title;
	private Integer amount;
	private Integer taxFreeAmount;
	private Integer vatAmount;
	private String expireType;
	private String payExpireDate;
	private String secondPayExpireDate;
	private String bankCode;
	private String accountNo;
	private String holderName;
	private String senderName;
	private String accountType;
	private List<DetailVO> details;
	private String enfrcLevMasterId;
	private String enfrcLevRcivId;
	private String jobSe;
	private Integer detailPasngChrgeSm;
	private Integer detailAdiPasngChrgeSm;
	private String payBy;
	private String payType;
	private String payDetail1;
	private String payDetail2;
	private String payDetail3;
	private Integer payAmount;
	private String payFeeType;
	private String payFee;
	private String payFeeTax;
	private String adjustDate;
	private String paidAt;
	private String payId;
	private String requestData;
	private String responseData;
	private String resCode;
	private String message;
	private String errMsg;
	private String orgCd;
	private String parametersJson;
	private String apiType;
	private String crtr;

	public DoznVO()
	{
		this.taxFreeAmount = null;

		this.vatAmount = null;

		this.crtr = "SYSTEM"; }

	public String getParametersJson() {
		return this.parametersJson;
	}

	public void setParametersJson() {
		this.parametersJson = "{\"some_param\" : \"" + this.orgCd + "\"}";
	}

	public List<DetailVO> getDetails() {
		return this.details;
	}

	public void setDetails(List<DetailVO> details) {
		this.details = details;
	}

	public String getPayId() {
		return this.payId;
	}

	public void setPayId(String payId) {
		this.payId = payId;
	}

	public Integer getTbSeq() {
		return this.tbSeq;
	}

	public void setTbSeq(Integer tbSeq) {
		this.tbSeq = tbSeq;
	}

	public String getUserBirth() {
		return this.userBirth;
	}

	public void setUserBirth(String userBirth) {
		this.userBirth = userBirth;
	}

	public String getSettlementCode() {
		return this.settlementCode;
	}

	public void setSettlementCode(String settlementCode) {
		this.settlementCode = settlementCode;
	}

	public String getBillerUserKey() {
		return this.billerUserKey;
	}

	public void setBillerUserKey(String billerUserKey) {
		this.billerUserKey = billerUserKey;
	}

	public String getBilledYearMonth() {
		return this.billedYearMonth;
	}

	public void setBilledYearMonth(String billedYearMonth) {
		this.billedYearMonth = billedYearMonth;
	}

	public String getOrdinal() {
		return this.ordinal;
	}

	public void setOrdinal(String ordinal) {
		this.ordinal = ordinal;
	}

	public String getBillerNoticeKey() {
		return this.billerNoticeKey;
	}

	public void setBillerNoticeKey(String billerNoticeKey) {
		this.billerNoticeKey = billerNoticeKey;
	}

	public String getTitle() {
		return this.title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getAmount() {
		return this.amount;
	}

	public void setAmount(Integer amount) {
		this.amount = amount;
	}

	public Integer getTaxFreeAmount() {
		return this.taxFreeAmount;
	}

	public void setTaxFreeAmount(Integer taxFreeAmount) {
		this.taxFreeAmount = taxFreeAmount;
	}

	public Integer getVatAmount() {
		return this.vatAmount;
	}

	public void setVatAmount(Integer vatAmount) {
		this.vatAmount = vatAmount;
	}

	public String getExpireType() {
		return this.expireType;
	}

	public void setExpireType(String expireType) {
		this.expireType = expireType;
	}

	public String getPayExpireDate() {
		return this.payExpireDate;
	}

	public void setPayExpireDate(String payExpireDate) {
		this.payExpireDate = payExpireDate;
	}

	public String getSecondPayExpireDate() {
		return this.secondPayExpireDate;
	}

	public void setSecondPayExpireDate(String secondPayExpireDate) {
		this.secondPayExpireDate = secondPayExpireDate;
	}

	public Map<String, Object> getParameters() {
		return this.parameters;
	}

	public void setParameters(Map<String, Object> parameters) {
		this.parameters = parameters;
	}

	public String getApiType() {
		return this.apiType;
	}

	public void setApiType(String apiType) {
		this.apiType = apiType;
	}

	public String getBankCode() {
		return this.bankCode;
	}

	public void setBankCode(String bankCode) {
		this.bankCode = bankCode;
	}

	public String getAccountNo() {
		return this.accountNo;
	}

	public void setAccountNo(String accountNo) {
		this.accountNo = accountNo;
	}

	public String getHolderName() {
		return this.holderName;
	}

	public void setHolderName(String holderName) {
		this.holderName = holderName;
	}

	public String getSenderName() {
		return this.senderName;
	}

	public void setSenderName(String senderName) {
		this.senderName = senderName;
	}

	public String getAccountType() {
		return this.accountType;
	}

	public void setAccountType(String accountType) {
		this.accountType = accountType;
	}

	public String getEnfrcLevMasterId() {
		return this.enfrcLevMasterId;
	}

	public void setEnfrcLevMasterId(String enfrcLevMasterId) {
		this.enfrcLevMasterId = enfrcLevMasterId;
	}

	public String getJobSe() {
		return this.jobSe;
	}

	public void setJobSe(String jobSe) {
		this.jobSe = jobSe;
	}

	public Integer getDetailPasngChrgeSm() {
		return this.detailPasngChrgeSm;
	}

	public void setDetailPasngChrgeSm(Integer detailPasngChrgeSm) {
		this.detailPasngChrgeSm = detailPasngChrgeSm;
	}

	public Integer getDetailAdiPasngChrgeSm() {
		return this.detailAdiPasngChrgeSm;
	}

	public void setDetailAdiPasngChrgeSm(Integer detailAdiPasngChrgeSm) {
		this.detailAdiPasngChrgeSm = detailAdiPasngChrgeSm;
	}

	public String getPayBy() {
		return this.payBy;
	}

	public void setPayBy(String payBy) {
		this.payBy = payBy;
	}

	public String getPayType() {
		return this.payType;
	}

	public void setPayType(String payType) {
		this.payType = payType;
	}

	public String getPayDetail1() {
		return this.payDetail1;
	}

	public void setPayDetail1(String payDetail1) {
		this.payDetail1 = payDetail1;
	}

	public String getPayDetail2() {
		return this.payDetail2;
	}

	public void setPayDetail2(String payDetail2) {
		this.payDetail2 = payDetail2;
	}

	public String getPayDetail3() {
		return this.payDetail3;
	}

	public void setPayDetail3(String payDetail3) {
		this.payDetail3 = payDetail3;
	}

	public Integer getPayAmount() {
		return this.payAmount;
	}

	public void setPayAmount(Integer payAmount) {
		this.payAmount = payAmount;
	}

	public String getPayFeeType() {
		return this.payFeeType;
	}

	public void setPayFeeType(String payFeeType) {
		this.payFeeType = payFeeType;
	}

	public String getPayFee() {
		return this.payFee;
	}

	public void setPayFee(String payFee) {
		this.payFee = payFee;
	}

	public String getPayFeeTax() {
		return this.payFeeTax;
	}

	public void setPayFeeTax(String payFeeTax) {
		this.payFeeTax = payFeeTax;
	}

	public String getAdjustDate() {
		return this.adjustDate;
	}

	public void setAdjustDate(String adjustDate) {
		this.adjustDate = adjustDate;
	}

	public String getPaidAt() {
		return this.paidAt;
	}

	public void setPaidAt(String paidAt) {
		this.paidAt = paidAt;
	}

	public String getPaidId() {
		return this.payId;
	}

	public void setPaidId(String paidId) {
		this.payId = paidId;
	}

	public String getRequestData() {
		return this.requestData;
	}

	public void setRequestData(String requestData) {
		this.requestData = requestData;
	}

	public String getResponseData() {
		return this.responseData;
	}

	public void setResponseData(String responseData) {
		this.responseData = responseData;
	}

	public String getResCode() {
		return this.resCode;
	}

	public void setResCode(String resCode) {
		this.resCode = resCode;
	}

	public String getMessage() {
		return this.message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getErrMsg() {
		return this.errMsg;
	}

	public void setErrMsg(String errMsg) {
		this.errMsg = errMsg;
	}

	public String getOrgCd() {
		return this.orgCd;
	}

	public void setOrgCd(String orgCd) {
		this.orgCd = orgCd;
	}

	public String getEnfrcLevRcivId() {
		return this.enfrcLevRcivId;
	}

	public void setEnfrcLevRcivId(String enfrcLevRcivId) {
		this.enfrcLevRcivId = enfrcLevRcivId;
	}

	public String getCrtr() {
		return this.crtr;
	}

	public void setCrtr(String crtr) {
		this.crtr = crtr;
	}
}